Redmine - Defect #30510

Bad Project's page Form
2019-01-28 15:36 - Régis BRACHET-COTA

Status: Confirmed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Projects Estimated time: 0.00 hour

Target version:

Resolution: Affected version:

Description

Related issues:

Related to Redmine - Patch #29951: Quick design fix/proposals for projects in... Closed
Related to Redmine - Feature #32350: Show each project as card in the project... New
History

#1 - 2019-01-28 15:43 - Régis BRACHET-COTA
- File BUG_project.jpg added

When opening project's main page, the form showing the projet's tree is not displaying the informations well.

You can see the problem in the screenshot provide. I've tested with others navigators and obtained the same result.

Regards.

#2 - 2019-01-29 07:14 - Marius BALTEANU
- File projects_alternate.png added
- Status changed from New to Needs feedback

- Assignee set to Régis BRACHET-COTA

Please be sure that you cleared your browser cache. If you're using Chrome, | recommend you a Hard Reload.

The projects page looks fine on my environment on all three Redmine themes, please see the below screenshot from the Alternate theme.

projects_alternate.png

#3 - 2019-01-29 07:14 - Marius BALTEANU
- Related to Patch #29951: Quick design fix/proposals for projects index page added

#4 - 2019-02-03 07:46 - Go MAEDA

- Category set to Projects

#5 - 2019-02-07 11:10 - Vincent Robert
- File resizing.gif added

| experience a similar problem, but only with Firefox (v65.0) on MacOS (the cache has been cleared).
When resizing the page, the layout is broken.

This bug does not appear with Chrome or Safari.

resizing.gif

#6 - 2019-02-09 23:22 - Marius BALTEANU
- Status changed from Needs feedback to Confirmed

- Assignee changed from Régis BRACHET-COTA to Marius BALTEANU

#7 - 2019-02-12 00:12 - Marius BALTEANU
| don't know how to fix this problem only from CSS, if someone has any clue, please help.

Anyway, from what I've tested, it reproduces only when you have a few projects.

#8 - 2019-02-12 11:21 - Anonymous

| looked into it before and saw that the nature of such a behavior is caused by a wrapper, #project-index which tells #project-root to have automatic
column allocation while also wrapping the card elements itself. So #project-index actually treats #project-root as a single column, which is then also
carried onto the next line which is defined by exceeding of 400px, and so on and so forth.

The best solution imho would be to first figure out how to do it right, so | suggest.

1. Kill #project-index, it's another unnecessary wrapper and move it's rules to project-root.

2. Set project-root to display: grid; display: -ms-grid; and optionally change it to DIV instead of UL, as it probably makes more sense for correct grid
displaying.

3. Optionally also set tag type of project card elements to DIVs instead of Lls, as again it makes more sense. (ul's and li's are supposed to be inside
each individual card if for the future reference).

Anyhow, if nobody minds, | can make a gridbox solution IE compatible patch for this when I'll find a minute.

#9 - 2019-10-27 09:41 - Marius BALTEANU
- Related to Feature #32350: Show each project as card in the projects board added

Files

BUG_project.jpg 33.5 KB 2019-01-28 Régis BRACHET-COTA
projects_alternate.png 215 KB 2019-01-29 Marius BALTEANU
resizing.gif 152 KB 2019-02-07 Vincent Robert

2025-05-02 22


http://www.tcpdf.org

